> ## Documentation Index
> Fetch the complete documentation index at: https://platform.stepfun.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 将文件从知识库中移除

从知识库中移除某个文件

## 请求地址

`DELETE https://api.stepfun.com/v1/vector_stores/{vector_store_id}/files/{file_id}`

## 路径参数

* `vector_store_id` `string` ***required***\
  知识库的唯一 ID

* `file_ids` `string` ***required***
  \
  &#x20;要添加到知识库中的文件的 File ID，可以通过[查看知识库中的文件](https://platform.stepfun.com/docs/zh/api-reference/vector-stores/list-file.md)获取。

## 请求响应

* `id` `string`\
  知识库的唯一 ID

* `deleted` `boolean`\
  &#x20;删除是否成功

* `object` `string` \
  固定为 `vector_store.file.deleted`

## 示例

> [tab] curl
>
> ```bash theme={"theme":{"light":"light-plus","dark":"dark-plus"}}
> curl -L -X DELETE 'https://api.stepfun.com/v1/vector_stores/160042962909147136/files/160050946536124416' \
>   -H "Authorization: Bearer $STEP_API_KEY"
> ```

```json filename="返回" theme={"theme":{"light":"light-plus","dark":"dark-plus"}}
{
  "id": "160050946536124416",
  "deleted": true,
  "object": "vector_store.file.deleted"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.